> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List notification webhook delivery history

> Deprecated. Use GET /notification/risk-portal-webhook/:id/history instead.



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/notification/webhook/{id}/history
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/notification/webhook/{id}/history:
    get:
      tags:
        - Notification
      summary: List notification webhook delivery history
      description: >-
        Deprecated. Use GET /notification/risk-portal-webhook/:id/history
        instead.
      operationId: NotificationController_getNotificationWebhookDeliveryHistory
      parameters:
        - name: id
          required: true
          in: path
          description: Webhook identifier
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NotificationWebhookDeliveryLog'
        '404':
          description: ''
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    NotificationWebhookDeliveryLog:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        webhookId:
          type: string
        type:
          type: string
          enum:
            - NEW_CASE_ESCALATION
            - NEW_CASE_AUTO_CONTAINED
            - NEW_SECURITY_EVENT
            - NEW_CRITICAL_DEFECT
            - ACCOUNT_SUMMARY
            - INTEGRATION_HEALTH
            - ACCOUNT_BILLING
        status:
          type: string
          enum:
            - success
            - failure
        statusCode:
          type: number
          nullable: true
        error:
          type: string
          nullable: true
        attempt:
          type: number
        durationMs:
          type: number
        time:
          type: string
      required:
        - id
        - teamId
        - webhookId
        - type
        - status
        - statusCode
        - error
        - attempt
        - durationMs
        - time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````